// Reactions
// Wrapper for reactions
.reactions { // Reserved for future multiple reactions
  display: flex;
  gap: gap(2);
}

// Generic reaction
.reaction {
  .flag {
    @extend .bi;
    display: flex;
    align-items: center;
    padding: $badge-padding-y $badge-padding-x;
    margin-top: -1 * $badge-padding-y;
    margin-bottom: -1 * $badge-padding-y;
    border-radius: $border-radius-pill;
    color: inherit;
    text-decoration: none;
    transition: all 300ms ease-in-out;

    &::before { margin-right: gap(1); }
  }

  &.flag-waiting .flag {
    position: relative;
    opacity: .5;

    &::after {
      content: '';
      position: absolute;
      top: -2px;
      right: -2px;
      bottom: -2px;
      left: -2px;
      border: 1px solid $gray-500;
      border-radius: $border-radius-pill;
      animation: reaction-waiting 300ms infinite linear;
    }
  }
}

// Thanks
.reaction.thanks {
  .flag {
    background-color: transparent;
    transition: all 300ms ease-in-out;
    @extend .bi-heart-fill;

    &::before { color: $red-500; }
  }

  &.count-0 .flag { @extend .bi-heart; }

  &.flagged .flag { background-color: $red-100; }

  &.flag-waiting .flag::after { border-color: $red-500; }
}

// Animation on flag waiting
@keyframes reaction-waiting {
  0%,
  100% { clip-path: inset(0 0 98% 0); }
  25%  { clip-path: inset(0 98% 0 0); }
  50%  { clip-path: inset(98% 0 0 0); }
  75%  { clip-path: inset(0 0 0 98%); }
}
